Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drools.planner.examples.manners2009.domain
Enum Hobby

    java.lang.Object
      java.lang.Enum<Hobby>
          org.drools.planner.examples.manners2009.domain.Hobby

All Implemented Interfaces:
  Serializable, Comparable<Hobby>

    public enum Hobby

extends Enum<Hobby>

Enum Constant Summary
`CHESS`
`GOLF`
`MOTORCYCLES`
`POKER`
`TENNIS`

Method Summary
`String` | `getCode()`
`static Hobby` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Hobby` | `valueOfCode(String code)`
`static Hobby[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TENNIS

    public static final Hobby TENNIS

### GOLF

    public static final Hobby GOLF

### MOTORCYCLES

    public static final Hobby MOTORCYCLES

### CHESS

    public static final Hobby CHESS

### POKER

    public static final Hobby POKER

Method Detail

### values

    public static Hobby[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Hobby c : Hobby.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Hobby valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOfCode

    public static Hobby valueOfCode(String code)

### getCode

    public String getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.